summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-portage/elogv
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-portage/elogv')
-rw-r--r--app-portage/elogv/Manifest6
-rw-r--r--app-portage/elogv/elogv-0.7.6.1-r1.ebuild54
-rw-r--r--app-portage/elogv/elogv-0.7.6.2.ebuild54
-rw-r--r--app-portage/elogv/elogv-0.7.6.3.ebuild54
-rw-r--r--app-portage/elogv/elogv-0.7.6.4.ebuild54
-rw-r--r--app-portage/elogv/elogv-0.7.6.5.ebuild54
-rw-r--r--app-portage/elogv/elogv-0.7.6.6.ebuild54
-rw-r--r--app-portage/elogv/files/0.7.4-prefix.patch13
-rw-r--r--app-portage/elogv/files/elogv-0.7.5-vt100.patch38
-rw-r--r--app-portage/elogv/metadata.xml16
10 files changed, 397 insertions, 0 deletions
diff --git a/app-portage/elogv/Manifest b/app-portage/elogv/Manifest
new file mode 100644
index 00000000000..c1d3025cea6
--- /dev/null
+++ b/app-portage/elogv/Manifest
@@ -0,0 +1,6 @@
+DIST elogv-0.7.6.1.tar.gz 17968 SHA256 93630986043e4599d801b187a37272331ac6763f8ddb0ad66343bb037160fc56 SHA512 c2ddea6189165262fae6968d9bb3b8e76f316d9696f07369552ae00eb48a49323232ea7d3609310cd0e440bd912e474dd396a71922dbf5c9f1ee587899ef859e WHIRLPOOL 2c9f2aa779320d8311818e3d9a8ac03c56b1369ae7dd8ab9dea69b87a0146048ec89f570640c552e6faecdde2f40f38aaef0c6332a33e3f7461bad3c39bc9a01
+DIST elogv-0.7.6.2.tar.gz 18206 SHA256 bf33a2444054e9ddd8164ea45144aa346a1e4da518034f33ee605af75f9ff7a0 SHA512 5628a409346d6375f10a77a08eaef6a160abff385701232c78f5d02a9493f84c451a53f301940a96e177eb295198d05e9c3e2525ab89ad6565f0eca2f2b0102e WHIRLPOOL ed83c38f174eea228bbbddf4edb17ec1ee571a6d0693954af012223bc84bf38351b16304747c8b3dfe3baab67634bf5530783f4845e9a9beeed52cbc43f45bd5
+DIST elogv-0.7.6.3.tar.gz 18424 SHA256 916c557ecb21e7fa2f2fbe2963804e95aefdaf983e99db565fee6f79baf1f94f SHA512 c9127a4770721bd66cd75cf197af9262f7764f8227c36a7229d597fcd9e8db52aeffb42bdcc7b0c0ff20bdcfc9d18b9a568b0456b71ec764a937b148f9893677 WHIRLPOOL 67f2e62978a335c1ccfb8e91aa4ed8fa4c20dca6fda190f6ae5f61dde89f310ea0aa1b543c9b71b504c60a9d39b46d16086f13c0c87d6ead417e2b1c8c86feba
+DIST elogv-0.7.6.4.tar.gz 18481 SHA256 9279a1fc1ec981142bf44694e1d714859b92a33ea1a2f8c33814f0d2f045b72c SHA512 e9331438552a63c26afc3f16ed4877298bb976a242639c0aae506507570b68cc677bc6e491f0b293a1986579c9edbab769b8d63924f9b0a18ad1e5a222f4d388 WHIRLPOOL d86f0e284200eb76f9fce82f0d2eccd8fe74e5c548d640e159e89db9a8685c3b44dc0350d4b6a6b2004cad07ca4568e11e0a594cf6ef2a298c413d632843397d
+DIST elogv-0.7.6.5.tar.gz 19021 SHA256 e3d6d29eefae2e1672b96f40837859ff12e2ebb6c37b0a244e0b35c14a0ea5cd SHA512 4a596653ca1c1dc3c315cdf111ddf12d7af5514582da50bf659c48d063fd971c2466d1bd0e4fa1e92e71afaa9715024269cf7ed3a5969ce986742a2c5f648c4a WHIRLPOOL e698e828a076f8d8477fa1a99d2a69e81a256771f5c00f24dd14cbc76fc4f99141dfa518a4a223f928f4503a679351fdb0cc0e84e9d03938208ddd496b3b74b4
+DIST elogv-0.7.6.6.tar.gz 19362 SHA256 224fbf37acb725e6e6942d4685d75e5281218eb2eabf16fc090da9ffa39f513c SHA512 d044feecbbef17d676551e545dcc4e6e27779668371d40d891d53bb7187474f665a422a732a0e95246fbd9d689ddeca509a74b6ce677f3a50871878e12895cba WHIRLPOOL dc86b3cb1bfbb29fba5f65de2189fd238c0afec739c05155c68f144bbe3517d15291ebc5624c987c79fb3f5d1f33b2016803b6bf90f20855608fe31503316197
diff --git a/app-portage/elogv/elogv-0.7.6.1-r1.ebuild b/app-portage/elogv/elogv-0.7.6.1-r1.ebuild
new file mode 100644
index 00000000000..825bec91689
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.6.1-r1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 ~arm ppc ~ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="linguas_de linguas_es linguas_it linguas_pl"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}
diff --git a/app-portage/elogv/elogv-0.7.6.2.ebuild b/app-portage/elogv/elogv-0.7.6.2.ebuild
new file mode 100644
index 00000000000..f2eeeb379dc
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.6.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="linguas_de linguas_es linguas_it linguas_pl"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}
diff --git a/app-portage/elogv/elogv-0.7.6.3.ebuild b/app-portage/elogv/elogv-0.7.6.3.ebuild
new file mode 100644
index 00000000000..f2eeeb379dc
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.6.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="linguas_de linguas_es linguas_it linguas_pl"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}
diff --git a/app-portage/elogv/elogv-0.7.6.4.ebuild b/app-portage/elogv/elogv-0.7.6.4.ebuild
new file mode 100644
index 00000000000..f2eeeb379dc
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.6.4.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="linguas_de linguas_es linguas_it linguas_pl"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}
diff --git a/app-portage/elogv/elogv-0.7.6.5.ebuild b/app-portage/elogv/elogv-0.7.6.5.ebuild
new file mode 100644
index 00000000000..f2eeeb379dc
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.6.5.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="linguas_de linguas_es linguas_it linguas_pl"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}
diff --git a/app-portage/elogv/elogv-0.7.6.6.ebuild b/app-portage/elogv/elogv-0.7.6.6.ebuild
new file mode 100644
index 00000000000..f2eeeb379dc
--- /dev/null
+++ b/app-portage/elogv/elogv-0.7.6.6.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="ncurses"
+inherit distutils-r1
+
+DESCRIPTION="Curses based utility to parse the contents of elogs created by Portage"
+HOMEPAGE="https://github.com/gentoo/elogv"
+SRC_URI="https://github.com/gentoo/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+IUSE="linguas_de linguas_es linguas_it linguas_pl"
+
+DOCS=( README )
+
+src_install() {
+ distutils-r1_src_install
+
+ # unset LINGUAS => install all languages
+ # empty LINGUAS => install none
+ local i
+ if [[ -n "${LINGUAS+x}" ]] ; then
+ for i in $(ls "${ED}"/usr/share/locale/) ; do
+ if ! has ${i} ${LINGUAS} ; then
+ rm -rf "${ED}"/usr/share/{locale,man}/${i}
+ fi
+ done
+ fi
+}
+
+pkg_postinst() {
+ elog "Optional dependencies:"
+ elog " dev-python/pyliblzma (for xz compressed elog files)"
+ elog
+ elog "In order to use this software, you need to activate"
+ elog "Portage's elog features. Required is"
+ elog " PORTAGE_ELOG_SYSTEM=\"save\" "
+ elog "and at least one out of "
+ elog " PORTAGE_ELOG_CLASSES=\"warn error info log qa\""
+ elog "More information on the elog system can be found"
+ elog "in ${EPREFIX}/usr/share/portage/config/make.conf.example"
+ elog
+ elog "To operate properly this software needs the directory"
+ elog "${PORT_LOGDIR:-${EPREFIX}/var/log/portage}/elog created, belonging to group portage."
+ elog "To start the software as a user, add yourself to the portage"
+ elog "group."
+ elog
+}
diff --git a/app-portage/elogv/files/0.7.4-prefix.patch b/app-portage/elogv/files/0.7.4-prefix.patch
new file mode 100644
index 00000000000..9829b1241ea
--- /dev/null
+++ b/app-portage/elogv/files/0.7.4-prefix.patch
@@ -0,0 +1,13 @@
+diff --git a/elogv b/elogv
+index 85d507b..bef7ae9 100755
+--- a/elogv
++++ b/elogv
+@@ -544,7 +544,7 @@ if __name__ == "__main__":
+ if port_settings['PORT_LOGDIR']:
+ elogdir = os.path.join(port_settings['PORT_LOGDIR'],"elog")
+ else:
+- elogdir = os.path.join(os.sep,"var","log","portage","elog")
++ elogdir = os.path.join(os.sep,'@GENTOO_PORTAGE_EPREFIX@',"var","log","portage","elog")
+
+ # Launch curses interface
+ try:
diff --git a/app-portage/elogv/files/elogv-0.7.5-vt100.patch b/app-portage/elogv/files/elogv-0.7.5-vt100.patch
new file mode 100644
index 00000000000..5df26c4750d
--- /dev/null
+++ b/app-portage/elogv/files/elogv-0.7.5-vt100.patch
@@ -0,0 +1,38 @@
+From 68141bf6f469ed7618c7ebd068eb7f8db260dfdb Mon Sep 17 00:00:00 2001
+From: Sebastian Pipping <sebastian@pipping.org>
+Date: Thu, 2 May 2013 23:22:36 +0200
+Subject: [PATCH] Fix crash with TERM=vt100
+
+---
+ elogv | 15 +++++++++------
+ 1 file changed, 9 insertions(+), 6 deletions(-)
+
+diff --git a/elogv b/elogv
+index 53c37cd..a8440d1 100755
+--- a/elogv
++++ b/elogv
+@@ -96,12 +96,15 @@ class ElogViewer:
+ self.screen = screen
+
+ # Our color pairs
+- curses.use_default_colors()
+- curses.init_pair(selected, curses.COLOR_BLACK, curses.COLOR_WHITE)
+- curses.init_pair(einfo, curses.COLOR_GREEN, curses.COLOR_BLACK)
+- curses.init_pair(ewarn, curses.COLOR_YELLOW, curses.COLOR_BLACK)
+- curses.init_pair(eerror, curses.COLOR_RED, curses.COLOR_BLACK)
+- curses.init_pair(elog, curses.COLOR_MAGENTA, curses.COLOR_BLACK)
++ try:
++ curses.use_default_colors()
++ curses.init_pair(selected, curses.COLOR_BLACK, curses.COLOR_WHITE)
++ curses.init_pair(einfo, curses.COLOR_GREEN, curses.COLOR_BLACK)
++ curses.init_pair(ewarn, curses.COLOR_YELLOW, curses.COLOR_BLACK)
++ curses.init_pair(eerror, curses.COLOR_RED, curses.COLOR_BLACK)
++ curses.init_pair(elog, curses.COLOR_MAGENTA, curses.COLOR_BLACK)
++ except curses.error: # e.g. with "TERM=vt100 elogv" invokation
++ pass
+
+ # This attributes are used to manage the scrolling of the list
+ # of files
+--
+1.8.1.5
+
diff --git a/app-portage/elogv/metadata.xml b/app-portage/elogv/metadata.xml
new file mode 100644
index 00000000000..f23267d7a05
--- /dev/null
+++ b/app-portage/elogv/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>fuzzyray@gentoo.org</email>
+ <name>Paul Varner</name>
+ </maintainer>
+ <maintainer>
+ <email>sping@gentoo.org</email>
+ <name>Sebastian Pipping</name>
+ </maintainer>
+ <herd>tools-portage</herd>
+ <upstream>
+ <remote-id type="github">gentoo/elogv</remote-id>
+ </upstream>
+</pkgmetadata>